View Issue Details

IDProjectCategoryView StatusLast Update
0023721mantisbtbugtrackerpublic2017-12-30 18:36
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.9.0 
Target Version2.9.1Fixed in Version2.9.1 
Summary0023721: PHP error in change status page when user doesn't have access to private notes
Description

The following error is triggered when the user has access to change status form but not to view private issues:

'Undefined variable: t_bugnote_class' in '/.../mantisbt/bug_change_status_page.php' line 366

This was introduced by 0023555

TagsNo tags attached.

Relationships

related to 0023555 closedvboctor Bugnote text area not styled correctly when private by default 

Activities

Related Changesets

MantisBT: master-2.9 fcd62d2c

2017-12-12 23:13:01

vboctor

Details Diff
Fix change status php error

Fix change status php error when private notes are not accessible.

Fixes 0023721
Affected Issues
0023721
mod - bug_change_status_page.php Diff File

Issue History

Date Modified Username Field Change
2017-12-12 22:51 vboctor New Issue
2017-12-12 22:51 vboctor Status new => assigned
2017-12-12 22:51 vboctor Assigned To => vboctor
2017-12-12 22:52 vboctor Relationship added related to 0023555
2017-12-12 22:53 vboctor Target Version 2.10.0 => 2.9.1
2017-12-12 23:35 vboctor Note Added: 0058380
2017-12-23 00:34 vboctor Changeset attached => MantisBT master-2.9 fcd62d2c
2017-12-23 00:34 vboctor Status assigned => resolved
2017-12-23 00:34 vboctor Resolution open => fixed
2017-12-23 04:33 atrol Fixed in Version => 2.9.1
2017-12-30 18:36 vboctor Status resolved => closed